> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询用户强平历史

> 查询用户永续合约强平历史

查询用户永续合约强平历史。


## OpenAPI

````yaml openapi/perpdex.yaml GET /dex_futures/{settle}/liquidates
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/liquidates:
    get:
      tags:
        - 持仓
      summary: 查询用户强平历史
      description: 查询用户永续合约强平历史。
      operationId: listPerpLiquidationHistory
      parameters:
        - $ref: '#/components/parameters/Settle'
        - $ref: '#/components/parameters/ContractQuery'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - name: at
          in: query
          required: false
          description: 指定强平时间戳
          schema:
            type: integer
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Liquidate'
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
    ContractQuery:
      name: contract
      in: query
      required: false
      description: 永续合约，不传则返回全部
      schema:
        type: string
    Limit:
      name: limit
      in: query
      required: false
      description: 单次返回的最大记录数量
      schema:
        type: integer
    Offset:
      name: offset
      in: query
      required: false
      description: 列表偏移量，从 0 开始
      schema:
        type: integer
    From:
      name: from
      in: query
      required: false
      description: 开始时间，Unix 秒
      schema:
        type: integer
        format: int64
    To:
      name: to
      in: query
      required: false
      description: 结束时间，Unix 秒
      schema:
        type: integer
        format: int64
  schemas:
    Liquidate:
      type: object
      properties:
        time:
          type: integer
          format: int64
          description: 强平时间
        contract:
          type: string
          description: 合约
        size:
          type: string
          description: 强平数量
        leverage:
          type: string
          description: 杠杆
        entry_price:
          type: string
          description: 开仓均价
        fill_price:
          type: string
          description: 成交均价
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.